Index: LMDZ6/branches/Amaury_dev/libf/phylmd/o3_chem_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/o3_chem_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/o3_chem_m.F90	(revision 5117)
@@ -17,51 +17,51 @@
     ! Index "(i, :)" is for longitude "rlon(i)", latitude "rlat(i)".
 
-    use lmdz_assert, ONLY: assert
-    use dimphy, ONLY: klon
-    use regr_pr_comb_coefoz_m, ONLY: c_Mob, a4_mass, a2, r_het_interm
-    use lmdz_grid_phy, ONLY: nbp_lev
-    use nrtype, ONLY: pi
+    USE lmdz_assert, ONLY: assert
+    USE dimphy, ONLY: klon
+    USE regr_pr_comb_coefoz_m, ONLY: c_Mob, a4_mass, a2, r_het_interm
+    USE lmdz_grid_phy, ONLY: nbp_lev
+    USE lmdz_physical_constants, ONLY: pi
 
-    integer, intent(in):: julien ! jour julien, 1 <= julien <= 360
-    real, intent(in):: gmtime ! heure de la journée en fraction de jour
-    real, intent(in):: t_seri(:, :) ! (klon, nbp_lev) temperature, in K
+    INTEGER, INTENT(IN):: julien ! jour julien, 1 <= julien <= 360
+    REAL, INTENT(IN):: gmtime ! heure de la journée en fraction de jour
+    REAL, INTENT(IN):: t_seri(:, :) ! (klon, nbp_lev) temperature, in K
 
-    real, intent(in):: zmasse(:, :) ! (klon, nbp_lev)
+    REAL, INTENT(IN):: zmasse(:, :) ! (klon, nbp_lev)
     ! (column-density of mass of air in a cell, in kg m-2)
     ! "zmasse(:, k)" is for layer "k".)
 
-    real, intent(in):: pdtphys ! time step for physics, in s
+    REAL, INTENT(IN):: pdtphys ! time step for physics, in s
 
-    REAL, intent(in):: rlat(:), rlon(:)
+    REAL, INTENT(IN):: rlat(:), rlon(:)
     ! (longitude and latitude of each horizontal position, in degrees)
 
-    real, intent(inout):: q(:, :) ! (klon, nbp_lev) mass fraction of ozone
+    REAL, INTENT(INOUT):: q(:, :) ! (klon, nbp_lev) mass fraction of ozone
     ! "q(:, k)" is at middle of layer "k".)
 
     ! Variables local to the procedure:
     ! (for "pi")
-    integer k
+    INTEGER k
 
-    real c(klon, nbp_lev)
+    REAL c(klon, nbp_lev)
     ! (constant term during a time step in the net mass production
     ! rate of ozone by chemistry, per unit mass of air, in s-1)
     ! "c(:, k)" is at middle of layer "k".)
 
-    real b(klon, nbp_lev)
+    REAL b(klon, nbp_lev)
     ! (coefficient of "q" in the net mass production
     ! rate of ozone by chemistry, per unit mass of air, in s-1)
     ! "b(:, k)" is at middle of layer "k".)
 
-    real dq_o3_chem(klon, nbp_lev)
+    REAL dq_o3_chem(klon, nbp_lev)
     ! (variation of ozone mass fraction due to chemistry during a time step)
     ! "dq_o3_chem(:, k)" is at middle of layer "k".)
 
-    real earth_long
+    REAL earth_long
     ! (longitude vraie de la Terre dans son orbite solaire, par
     ! rapport au point vernal (21 mars), en degrés)
 
-    real pmu0(klon) ! mean of cosine of solar zenith angle during "pdtphys"
-    real trash1
-    real trash2(klon)
+    REAL pmu0(klon) ! mean of cosine of solar zenith angle during "pdtphys"
+    REAL trash1
+    REAL trash2(klon)
 
     !-------------------------------------------------------------
@@ -115,27 +115,27 @@
     ! Index "(i, :)" is for longitude "rlon(i)", latitude "rlat(i)".
 
-    use regr_pr_comb_coefoz_m, ONLY: a6_mass
-    use lmdz_assert, ONLY: assert
-    use dimphy, ONLY: klon
-    use lmdz_grid_phy, ONLY: nbp_lev
+    USE regr_pr_comb_coefoz_m, ONLY: a6_mass
+    USE lmdz_assert, ONLY: assert
+    USE dimphy, ONLY: klon
+    USE lmdz_grid_phy, ONLY: nbp_lev
 
-    real, intent(in):: q(:, :) ! mass fraction of ozone
+    REAL, INTENT(IN):: q(:, :) ! mass fraction of ozone
     ! "q(:, k)" is at middle of layer "k".)
 
-    real, intent(in):: zmasse(:, :)
+    REAL, INTENT(IN):: zmasse(:, :)
     ! (column-density of mass of air in a layer, in kg m-2)
     ! ("zmasse(:, k)" is for layer "k".)
 
-    real, intent(in):: c(:, :)
+    REAL, INTENT(IN):: c(:, :)
     ! (constant term during a time step in the net mass production
     ! rate of ozone by chemistry, per unit mass of air, in s-1)
     ! "c(:, k)" is at middle of layer "k".)
 
-    real, intent(in):: b(:, :)
+    REAL, INTENT(IN):: b(:, :)
     ! (coefficient of "q" in the net mass production rate of ozone by
     ! chemistry, per unit mass of air, in s-1)
     ! ("b(:, k)" is at middle of layer "k".)
 
-    real o3_prod(klon, nbp_lev)
+    REAL o3_prod(klon, nbp_lev)
     ! (net mass production rate of ozone by chemistry, per unit mass
     ! of air, in s-1)
@@ -144,9 +144,9 @@
     ! Variables local to the procedure:
 
-    real sigma_mass(klon, nbp_lev)
+    REAL sigma_mass(klon, nbp_lev)
     ! (mass column-density of ozone above point, in kg m-2)
     ! ("sigma_mass(:, k)" is at middle of layer "k".)
 
-    integer k
+    INTEGER k
 
     !-------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/oasis.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/oasis.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/oasis.F90	(revision 5117)
@@ -112,5 +112,5 @@
     USE surface_data, ONLY: version_ocean
     USE carbon_cycle_mod, ONLY: carbon_cycle_cpl
-    USE wxios, ONLY: wxios_context_init
+    USE lmdz_wxios, ONLY: wxios_context_init
     USE chemistry_cycle_mod, ONLY: dms_cycle_cpl, n2o_cycle_cpl
     USE lmdz_xios  
@@ -197,5 +197,5 @@
     infosend(ids_calvin)%action = .TRUE. ; infosend(ids_calvin)%name = 'COCALVIN'
     
-    if (activate_ocean_skin == 2) THEN
+    IF (activate_ocean_skin == 2) THEN
        infosend(ids_delta_sst)%action = .TRUE.
        infosend(ids_delta_sst)%name = 'CODELSST'
@@ -247,5 +247,5 @@
    inforecv(idr_icetem)%action = .TRUE. ; inforecv(idr_icetem)%name = 'SIICTEMW'
 
-   if (activate_ocean_skin >= 1) THEN
+   IF (activate_ocean_skin >= 1) THEN
       inforecv(idr_sss)%action = .TRUE.
       inforecv(idr_sss)%name = 'SISUSALW'
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_cpl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_cpl_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_cpl_mod.F90	(revision 5117)
@@ -67,5 +67,5 @@
     USE cpl_mod, ONLY: gath2cpl, cpl_receive_ocean_fields, &
          cpl_send_ocean_fields
-    use config_ocean_skin_m, ONLY: activate_ocean_skin
+    USE config_ocean_skin_m, ONLY: activate_ocean_skin
 
     INCLUDE "YOMCST.h"
@@ -92,23 +92,23 @@
     REAL, INTENT(IN) :: tsurf_in(:) ! (klon)
 
-    real, intent(in):: delta_sal(:) ! (knon)
+    REAL, INTENT(IN):: delta_sal(:) ! (knon)
     ! ocean-air interface salinity minus bulk salinity, in ppt
 
-    real, intent(in):: rhoa(:) ! (knon) density of moist air  (kg / m3)
-
-    REAL, intent(in):: delta_sst(:) ! (knon)
+    REAL, INTENT(IN):: rhoa(:) ! (knon) density of moist air  (kg / m3)
+
+    REAL, INTENT(IN):: delta_sst(:) ! (knon)
     ! Ocean-air interface temperature minus bulk SST, in K. Defined
     ! only if activate_ocean_skin >= 1.
 
-    REAL, intent(in):: dter(:) ! (knon)
+    REAL, INTENT(IN):: dter(:) ! (knon)
     ! Temperature variation in the diffusive microlayer, that is
     ! ocean-air interface temperature minus subskin temperature. In
     ! K.
 
-    REAL, intent(in):: dser(:) ! (knon)
+    REAL, INTENT(IN):: dser(:) ! (knon)
     ! Salinity variation in the diffusive microlayer, that is
     ! ocean-air interface salinity minus subskin salinity. In ppt.
 
-    real, intent(in):: dt_ds(:) ! (knon)
+    REAL, INTENT(IN):: dt_ds(:) ! (knon)
     ! (tks / tkt) * dTer, in K
 
@@ -126,5 +126,5 @@
     REAL, DIMENSION(klon), INTENT(OUT)       :: tsurf_new
     REAL, DIMENSION(klon), INTENT(OUT)       :: dflux_s, dflux_l      
-    REAL, intent(out):: sens_prec_liq(:) ! (knon)
+    REAL, INTENT(OUT):: sens_prec_liq(:) ! (knon)
 
     REAL, INTENT(OUT):: sss(:) ! (klon)
@@ -182,5 +182,5 @@
          sens_prec_liq, sens_prec_sol, lat_prec_liq, lat_prec_sol, rhoa)
 
-    if (activate_ocean_skin == 2) THEN
+    IF (activate_ocean_skin == 2) THEN
        ! tsurf_new was set to tsurf_in in calcul_flux, correct it to
        ! the new bulk SST tsurf_cpl:
@@ -281,5 +281,5 @@
     REAL, DIMENSION(klon), INTENT(IN)        :: u1, v1, gustiness
     REAL, DIMENSION(klon,nbsrf), INTENT(IN)  :: pctsrf
-    real, intent(in):: rhoa(:) ! (knon) density of moist air  (kg / m3)
+    REAL, INTENT(IN):: rhoa(:) ! (knon) density of moist air  (kg / m3)
 
 ! In/output arguments
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_forced_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_forced_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_forced_mod.F90	(revision 5117)
@@ -40,5 +40,5 @@
     USE indice_sol_mod
     USE phys_output_var_mod, ONLY: sens_prec_liq_o, sens_prec_sol_o, lat_prec_liq_o, lat_prec_sol_o
-    use config_ocean_skin_m, ONLY: activate_ocean_skin
+    USE config_ocean_skin_m, ONLY: activate_ocean_skin
 #ifdef ISO
     USE infotrac_phy, ONLY: ntiso,niso
@@ -69,5 +69,5 @@
     REAL, DIMENSION(klon), INTENT(IN)        :: u1, v1, gustiness
     REAL, DIMENSION(klon), INTENT(IN)        :: tsurf_in
-    real, intent(in):: rhoa(:) ! (knon) density of moist air  (kg / m3)
+    REAL, INTENT(IN):: rhoa(:) ! (knon) density of moist air  (kg / m3)
 
 #ifdef ISO
@@ -94,5 +94,5 @@
     REAL, DIMENSION(klon), INTENT(OUT)       :: tsurf_new
     REAL, DIMENSION(klon), INTENT(OUT)       :: dflux_s, dflux_l
-    REAL, intent(out):: sens_prec_liq(:) ! (knon)
+    REAL, INTENT(OUT):: sens_prec_liq(:) ! (knon)
 
 #ifdef ISO     
@@ -142,6 +142,6 @@
 !****************************************************************************************
 !--sb:
-!!jyg    if (knon.eq.1) then ! single-column model
-    if (klon_glo==1) then ! single-column model
+!!jyg    if (knon.EQ.1) then ! single-column model
+    IF (klon_glo==1) then ! single-column model
       ! EV: now surface Tin flux_arp.h
       !CALL read_tsurf1d(knon,tsurf_lim) ! new
@@ -195,5 +195,5 @@
          tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l, &
          sens_prec_liq, sens_prec_sol, lat_prec_liq, lat_prec_sol, rhoa)
-    if (activate_ocean_skin == 2) tsurf_new = tsurf_lim
+    IF (activate_ocean_skin == 2) tsurf_new = tsurf_lim
 
     do j = 1, knon
@@ -297,5 +297,5 @@
     REAL, DIMENSION(klon), INTENT(IN)    :: ps
     REAL, DIMENSION(klon), INTENT(IN)    :: u1, v1, gustiness
-    real, intent(in):: rhoa(:) ! (knon) density of moist air  (kg / m3)
+    REAL, INTENT(IN):: rhoa(:) ! (knon) density of moist air  (kg / m3)
 #ifdef ISO
     REAL, DIMENSION(ntiso,klon), INTENT(IN) :: xtprecip_rain, xtprecip_snow
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/open_climoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/open_climoz_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/open_climoz_m.F90	(revision 5117)
@@ -28,7 +28,7 @@
     ! Arguments (OpenMP shared):
     INTEGER, INTENT(OUT) :: ncid      !--- "climoz_LMDZ.nc" identifier
-    REAL, allocatable, intent(out) :: press_in_cen(:) !--- at cells centers
-    REAL, allocatable, INTENT(OUT) :: press_in_edg(:) !--- at the interfaces (pressure intervals)
-    REAL, allocatable, intent(out) :: time_in(:)      !--- records times, in days since Jan. 1st
+    REAL, ALLOCATABLE, INTENT(OUT) :: press_in_cen(:) !--- at cells centers
+    REAL, ALLOCATABLE, INTENT(OUT) :: press_in_edg(:) !--- at the interfaces (pressure intervals)
+    REAL, ALLOCATABLE, INTENT(OUT) :: time_in(:)      !--- records times, in days since Jan. 1st
     LOGICAL, INTENT(IN) :: daily     !--- daily files (calendar dependent days nb)
     LOGICAL, INTENT(IN) :: adjust    !--- tropopause adjustement required
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/orografi.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/orografi.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/orografi.F90	(revision 5117)
@@ -146,5 +146,5 @@
   ! --------------------
 
-  ! implicit logical (l)
+  ! implicit LOGICAL (l)
 
   ! method.
@@ -214,5 +214,5 @@
 
   ! ztmst=twodt
-  ! IF(nstep.eq.nstart) ztmst=0.5*twodt
+  ! IF(nstep.EQ.nstart) ztmst=0.5*twodt
   ! ym      klevm1=klev-1
   ztmst = ptsphy
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/orografi_strato.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/orografi_strato.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/orografi_strato.F90	(revision 5117)
@@ -287,5 +287,5 @@
 
   ! ztmst=twodt
-  ! IF(nstep.eq.nstart) ztmst=0.5*twodt
+  ! IF(nstep.EQ.nstart) ztmst=0.5*twodt
   ztmst = ptsphy
 
@@ -1034,6 +1034,6 @@
       ! or low level flow:  gravity wave stress nul.
 
-      ! lo=(ptau(jl,klev+1).lt.gtsec).or.(kcrit(jl).ge.kknu(jl))
-      ! *      .or.(pvph(jl,klev+1).lt.gvcrit)
+      ! lo=(ptau(jl,klev+1).lt.gtsec).OR.(kcrit(jl).ge.kknu(jl))
+      ! *      .OR.(pvph(jl,klev+1).lt.gvcrit)
       ! IF(lo) ptau(jl,klev+1)=0.0
 
@@ -1858,5 +1858,5 @@
   PRINT *, ' DANS SUGWD nktopg=', nktopg
   PRINT *, ' DANS SUGWD nstra=', nstra
-  if (nstra == 0) CALL abort_physic("sugwd_strato", "no level in stratosphere", 1)
+  IF (nstra == 0) CALL abort_physic("sugwd_strato", "no level in stratosphere", 1)
 
   !  Valeurs lues dans les .def, ou attribues dans conf_phys
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/output_physiqex_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/output_physiqex_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/output_physiqex_mod.F90	(revision 5117)
@@ -20,18 +20,18 @@
 
 IMPLICIT NONE
-logical, intent(in) :: debut
-real, intent(in) :: pdtphys,zjulian
-real,intent(in) :: presnivs(klev) ! pseudo-pressure (Pa) of mid-layers
-real,intent(in) :: u(klon,klev) ! eastward zonal wind (m/s)
-real,intent(in) :: v(klon,klev) ! northward meridional wind (m/s)
-real,intent(in) :: t(klon,klev) ! temperature (K)
-real,intent(in) :: theta(klon,klev) ! temperature (K)
-real,intent(in) :: paprs(klon,klev+1) ! interlayer pressure (Pa)
-real,intent(in) :: qx(klon,klev,nqtot) !tracers
-real,intent(in) :: cf(klon,klev) !cloud fraction
-real,intent(in) :: zqr(klon,klev) !rain specifiq content
-real,intent(in) :: zqs(klon,klev) !snow specifiq content
-real,intent(in) :: zqg(klon,klev) !graupel specifiq content
-real,intent(in) :: ptke(klon,klev) !tke
+logical, INTENT(IN) :: debut
+REAL, INTENT(IN) :: pdtphys,zjulian
+REAL,INTENT(IN) :: presnivs(klev) ! pseudo-pressure (Pa) of mid-layers
+REAL,INTENT(IN) :: u(klon,klev) ! eastward zonal wind (m/s)
+REAL,INTENT(IN) :: v(klon,klev) ! northward meridional wind (m/s)
+REAL,INTENT(IN) :: t(klon,klev) ! temperature (K)
+REAL,INTENT(IN) :: theta(klon,klev) ! temperature (K)
+REAL,INTENT(IN) :: paprs(klon,klev+1) ! interlayer pressure (Pa)
+REAL,INTENT(IN) :: qx(klon,klev,nqtot) !tracers
+REAL,INTENT(IN) :: cf(klon,klev) !cloud fraction
+REAL,INTENT(IN) :: zqr(klon,klev) !rain specifiq content
+REAL,INTENT(IN) :: zqs(klon,klev) !snow specifiq content
+REAL,INTENT(IN) :: zqg(klon,klev) !graupel specifiq content
+REAL,INTENT(IN) :: ptke(klon,klev) !tke
 
 REAL :: t_ops ! frequency of the IOIPSL operations (eg average over...)
@@ -40,13 +40,13 @@
 REAL :: dtime
 
-integer,save :: iwrite_phys=1 ! output every iwrite_phys physics step
+INTEGER,save :: iwrite_phys=1 ! output every iwrite_phys physics step
 !$OMP THREADPRIVATE(iwrite_phys)
 INTEGER :: nhori ! horizontal coordinate ID
-integer,save :: nid_hist ! output file ID
+INTEGER,save :: nid_hist ! output file ID
 !$OMP THREADPRIVATE(nid_hist)
-integer, save :: itau=0
+INTEGER, save :: itau=0
 !$OMP THREADPRIVATE(itau)
 
-integer, save :: ioex=1
+INTEGER, save :: ioex=1
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ozonecm_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ozonecm_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ozonecm_m.F90	(revision 5117)
@@ -22,5 +22,5 @@
 
     USE dimphy, ONLY: klon, klev
-    use lmdz_assert, ONLY: assert
+    USE lmdz_assert, ONLY: assert
 
     REAL, INTENT (IN) :: rlat(:) ! (klon)
@@ -36,5 +36,5 @@
 
     REAL tozon ! equivalent pressure of ozone above interface "k", in Pa
-    real pi, pl
+    REAL pi, pl
     INTEGER i, k
 
@@ -43,5 +43,5 @@
     ! "k" and the top of the atmosphere (interface "llm + 1"), in kDU.
 
-    real, PARAMETER:: ps=101325.
+    REAL, PARAMETER:: ps=101325.
     REAL, parameter:: an = 360., zo3q3 = 4E-8
     REAL, parameter:: dobson_unit = 2.1415E-5 ! in kg m-2
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5117)
@@ -30,5 +30,5 @@
   USE wx_pbl_mod, ONLY: wx_pbl0_merge, wx_pbl_split, wx_pbl_dts_merge, &
           wx_pbl_check, wx_pbl_dts_check, wx_evappot
-  use config_ocean_skin_m, ONLY: activate_ocean_skin
+  USE config_ocean_skin_m, ONLY: activate_ocean_skin
   USE lmdz_abort_physic, ONLY: abort_physic
 #ifdef ISO
@@ -68,5 +68,5 @@
 
   !FC
-  !  integer, save :: iflag_frein
+  !  INTEGER, save :: iflag_frein
   !  !$OMP THREADPRIVATE(iflag_frein)
 
@@ -217,5 +217,5 @@
     CHARACTER(len=80)             :: abort_message
     CHARACTER(len = 20)           :: modname = 'pbl_surface_init'
-    integer i,ixt
+    INTEGER i,ixt
 
 !****************************************************************************************
@@ -393,5 +393,5 @@
     USE carbon_cycle_mod, ONLY: carbon_cycle_cpl, carbon_cycle_tr, level_coupling_esm
     USE carbon_cycle_mod, ONLY: co2_send, nbcf_out, fields_out, yfields_out, cfname_out
-    use hbtm_mod, ONLY: hbtm
+    USE hbtm_mod, ONLY: hbtm
     USE indice_sol_mod
     USE time_phylmdz_mod, ONLY: day_ini, annee_ref, itau_phy
@@ -408,9 +408,9 @@
 #endif
     USE lmdz_ioipsl_getin_p, ONLY:getin_p
-    use phys_state_var_mod, ONLY: ds_ns, dt_ns, delta_sst, delta_sal, dter, &
+    USE phys_state_var_mod, ONLY: ds_ns, dt_ns, delta_sst, delta_sal, dter, &
             dser, dt_ds, zsig, zmea
-    use phys_output_var_mod, ONLY: tkt, tks, taur, sss
-    use lmdz_blowing_snow_ini, ONLY: zeta_bs
-    USE wxios, ONLY: missing_val_xios => missing_val, using_xios
+    USE phys_output_var_mod, ONLY: tkt, tks, taur, sss
+    USE lmdz_blowing_snow_ini, ONLY: zeta_bs
+    USE lmdz_wxios, ONLY: missing_val_xios => missing_val, using_xios
     USE netcdf, ONLY: missing_val_netcdf => nf90_fill_real
 
@@ -487,5 +487,5 @@
     !wake and off-wake regions
     !albedo SB >>>
-    REAL, DIMENSIOn(6), intent(in) :: SFRWL
+    REAL, DIMENSIOn(6), INTENT(IN) :: SFRWL
     REAL, DIMENSION(klon, nsw, nbsrf), INTENT(INOUT) :: alb_dir, alb_dif
     !albedo SB <<<
@@ -1254,5 +1254,5 @@
  xtevap(:,:,:)=0.
 #endif
-    IF (iflag_pbl<20.or.iflag_pbl>=30) THEN
+    IF (iflag_pbl<20.OR.iflag_pbl>=30) THEN
       zcoefh(:, :, :) = 0.0
       zcoefh(:, 1, :) = 999999. ! zcoefh(:,k=1) should never be used
@@ -1844,6 +1844,6 @@
       ENDIF
 
-      if (nsrf == is_oce .and. activate_ocean_skin >= 1) THEN
-        if (activate_ocean_skin == 2 .and. type_ocean == "couple") THEN
+      IF (nsrf == is_oce .AND. activate_ocean_skin >= 1) THEN
+        IF (activate_ocean_skin == 2 .AND. type_ocean == "couple") THEN
           ydelta_sal(:knon) = delta_sal(ni(:knon))
           ydelta_sst(:knon) = delta_sst(ni(:knon))
@@ -1899,5 +1899,5 @@
 
         IF (prt_level >=10) print *, 'cdrag -> ycdragh ', ycdragh(1:knon)
-      ELSE  !(iflag_split .eq.0)
+      ELSE  !(iflag_split .EQ.0)
 
         ! Faire disparaitre les lignes commentees fin 2015 (le temps des tests)
@@ -1962,5 +1962,5 @@
         IF (prt_level >=10) print *, 'clcdrag -> ycdragh_w ', ycdragh_w(1:knon)
         !!!
-      ENDIF  ! (iflag_split .eq.0)
+      ENDIF  ! (iflag_split .EQ.0)
       !!!
 
@@ -2014,5 +2014,5 @@
         IF (prt_level >=10) print *, 'coef_diff_turb -> ycoefh ', ycoefh(1:knon, :)
 
-      ELSE  !(iflag_split .eq.0)
+      ELSE  !(iflag_split .EQ.0)
 
         IF (prt_level >=10) THEN
@@ -2105,5 +2105,5 @@
         ENDDO
 
-      ENDIF  ! (iflag_split .eq.0)
+      ENDIF  ! (iflag_split .EQ.0)
 
 
@@ -2134,5 +2134,5 @@
 #endif
         )
-      ELSE  !(iflag_split .eq.0)
+      ELSE  !(iflag_split .EQ.0)
         CALL climb_hq_down(knon, ycoefh_x, ypaprs, ypplay, &
         ydelp, yt_x, yq_x, dtime, &
@@ -2173,5 +2173,5 @@
         ENDIF
         !!!
-      ENDIF  ! (iflag_split .eq.0)
+      ENDIF  ! (iflag_split .EQ.0)
       !!!
 
@@ -2186,5 +2186,5 @@
                 !!!
                 AcoefU, AcoefV, BcoefU, BcoefV)
-      ELSE  ! (iflag_split .eq.0)
+      ELSE  ! (iflag_split .EQ.0)
         CALL climb_wind_down(knon, dtime, ycoefm_x, ypplay, ypaprs, yt_x, ydelp, yu_x, yv_x, &
                 !!! nrlmd le 02/05/2011
@@ -2201,5 +2201,5 @@
                 AcoefU_w, AcoefV_w, BcoefU_w, BcoefV_w)
         !!!
-      ENDIF  ! (iflag_split .eq.0)
+      ENDIF  ! (iflag_split .EQ.0)
       !!!
 
@@ -2265,5 +2265,5 @@
         !******************************************************************************
 
-        IF (f_z0qh_oce /= 1. .and. nsrf ==is_oce) THEN
+        IF (f_z0qh_oce /= 1. .AND. nsrf ==is_oce) THEN
           ! Si on suit les formulations par exemple de Tessel, on
           ! a z0h=0.4*nu/u*, z0q=0.62*nu/u*, d'ou f_z0qh_oce=0.62/0.4=1.55
@@ -2286,5 +2286,5 @@
           ycdragq_x(1:knon) = ycdragh_x(1:knon)
           ycdragq_w(1:knon) = ycdragh_w(1:knon)
-        ENDIF  ! ( f_z0qh_oce .ne. 1. .and. nsrf .eq.is_oce)
+        ENDIF  ! ( f_z0qh_oce .NE. 1. .AND. nsrf .EQ.is_oce)
 
         CALL wx_pbl_prelim_0(knon, nsrf, dtime, ypplay, ypaprs, ywake_s, &
@@ -2342,6 +2342,6 @@
           ydTs_ins(:) = 0.
           ydqs_ins(:) = 0.
-        ENDIF   ! (iflag_split .eq. 2)
-      ENDIF  ! (iflag_split .eq.0)
+        ENDIF   ! (iflag_split .EQ. 2)
+      ENDIF  ! (iflag_split .EQ.0)
       !!!
       IF (prt_level >=10) THEN
@@ -2691,10 +2691,10 @@
 
         !!  Test sur iflag_split retire le 2/02/2018, sans vraiment comprendre la raison de ce test. (jyg)
-        !!          IF (iflag_split .eq.0) THEN
+        !!          IF (iflag_split .EQ.0) THEN
         DO j = 1, knon
           Kech_h(j) = ycdragh(j) * (1.0 + SQRT(yu(j, 1)**2 + yv(j, 1)**2)) * &
                   ypplay(j, 1) / (RD * yt(j, 1))
         ENDDO
-        !!          ENDIF ! (iflag_split .eq.0)
+        !!          ENDIF ! (iflag_split .EQ.0)
 
         DO j = 1, knon
@@ -2800,7 +2800,7 @@
             ydTs_ins(:) = 0.
             ydqs_ins(:) = 0.
-          ENDIF   ! (iflag_split .eq. 2)
-
-        ELSE    ! (nsrf .ne. is_oce)
+          ENDIF   ! (iflag_split .EQ. 2)
+
+        ELSE    ! (nsrf .NE. is_oce)
           ybeta(1:knon) = 1.
           yevap_pot(1:knon) = yevap(1:knon)
@@ -2815,5 +2815,5 @@
           ydTs_ins(:) = 0.
           ydqs_ins(:) = 0.
-        ENDIF   ! (nsrf .ne. is_oce)
+        ENDIF   ! (nsrf .NE. is_oce)
 
         CALL wx_pbl_split(knon, nsrf, dtime, ywake_s, ybeta, iflag_split, &
@@ -2862,5 +2862,5 @@
                   y_flux_t1_x, y_flux_t1_w, &
                   y_flux_q1_x, y_flux_q1_w)
-        ENDIF   ! (nsrf .ne. is_oce)
+        ENDIF   ! (nsrf .NE. is_oce)
 
       ELSE  ! (iflag_split .ge. 1)
@@ -2882,5 +2882,5 @@
       !!jyg!!
       !!jyg!!!----Diffusion dans le sol dans le cas continental seulement
-      !!jyg!!       IF (nsrf.eq.is_ter) THEN
+      !!jyg!!       IF (nsrf.EQ.is_ter) THEN
       !!jyg!!!----Calcul du coefficient delta_coeff
       !!jyg!!          tau_eq(j)=(ywake_s(j)/2.)*(1./max(wake_cstar(j),0.01))*sqrt(0.4/(3.14*max(wake_dens(j),8e-12)))
@@ -2956,5 +2956,5 @@
 #endif
         )
-      ELSE  !(iflag_split .eq.0)
+      ELSE  !(iflag_split .EQ.0)
         CALL climb_hq_up(knon, dtime, yt_x, yq_x, &
         y_flux_q1_x, y_flux_t1_x, ypaprs, ypplay, &
@@ -2987,5 +2987,5 @@
         )
         !!!
-      ENDIF  ! (iflag_split .eq.0)
+      ENDIF  ! (iflag_split .EQ.0)
       !!!
 
@@ -3002,5 +3002,5 @@
                 y_flux_u, y_flux_v, y_d_u, y_d_v)
         y_d_t_diss(:, :) = 0.
-        IF (iflag_pbl>=20 .and. iflag_pbl<30) THEN
+        IF (iflag_pbl>=20 .AND. iflag_pbl<30) THEN
           CALL yamada_c(knon, dtime, ypaprs, ypplay &
                   , yu, yv, yt, y_d_u, y_d_v, y_d_t, ycdragm, ytke, ycoefm, ycoefh, ycoefq, y_d_t_diss, yustar &
@@ -3009,5 +3009,5 @@
         !     PRINT*,'yamada_c OK'
 
-      ELSE  !(iflag_split .eq.0)
+      ELSE  !(iflag_split .EQ.0)
         CALL climb_wind_up(knon, dtime, yu_x, yv_x, y_flux_u1_x, y_flux_v1_x, &
                 !!! nrlmd le 02/05/2011
@@ -3019,5 +3019,5 @@
 
         y_d_t_diss_x(:, :) = 0.
-        IF (iflag_pbl>=20 .and. iflag_pbl<30) THEN
+        IF (iflag_pbl>=20 .AND. iflag_pbl<30) THEN
           CALL yamada_c(knon, dtime, ypaprs, ypplay &
                   , yu_x, yv_x, yt_x, y_d_u_x, y_d_v_x, y_d_t_x, ycdragm_x, ytke_x, ycoefm_x, ycoefh_x &
@@ -3036,5 +3036,5 @@
         !!!
         y_d_t_diss_w(:, :) = 0.
-        IF (iflag_pbl>=20 .and. iflag_pbl<30) THEN
+        IF (iflag_pbl>=20 .AND. iflag_pbl<30) THEN
           CALL yamada_c(knon, dtime, ypaprs, ypplay &
                   , yu_w, yv_w, yt_w, y_d_u_w, y_d_v_w, y_d_t_w, ycdragm_w, ytke_w, ycoefm_w, ycoefh_w &
@@ -3049,5 +3049,5 @@
         ENDIF
 
-      ENDIF  ! (iflag_split .eq.0)
+      ENDIF  ! (iflag_split .EQ.0)
 
       IF (ok_bs) THEN
@@ -3088,6 +3088,6 @@
             y_d_v(j, k) = y_d_v(j, k) * ypct(j)
             !FC
-            IF  (nsrf == is_ter .and. ifl_pbltree >= 1) THEN
-              !            if (y_d_u_frein(j,k).ne.0. ) THEN
+            IF  (nsrf == is_ter .AND. ifl_pbltree >= 1) THEN
+              !            if (y_d_u_frein(j,k).NE.0. ) THEN
               !        PRINT*, nsrf,'IS_TER ++', y_d_u_frein(j,k)*ypct(j),y_d_u(j,k),j,k
               !            ENDIF
@@ -3117,5 +3117,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_vect2D( &
                 y_d_xt,y_d_q, &
@@ -3125,5 +3125,5 @@
 #endif
 
-      ELSE  !(iflag_split .eq.0)
+      ELSE  !(iflag_split .EQ.0)
 
         ! Tendances hors poches
@@ -3209,5 +3209,5 @@
         ENDDO
 
-      ENDIF  ! (iflag_split .eq.0)
+      ENDIF  ! (iflag_split .EQ.0)
       !!!
 
@@ -3226,5 +3226,5 @@
         i = ni(j)
         evap(i, nsrf) = - flux_q(i, 1, nsrf)                  !jyg
-        if (ok_bs) then ; snowerosion(i, nsrf) = flux_qbs(i, 1, nsrf);
+        IF (ok_bs) then ; snowerosion(i, nsrf) = flux_qbs(i, 1, nsrf);
         endif
         beta(i, nsrf) = ybeta(j)                             !jyg
@@ -3334,5 +3334,5 @@
         ENDDO
 
-      ELSE  ! (iflag_split .eq.0)
+      ELSE  ! (iflag_split .EQ.0)
         DO k = 1, klev + 1
           DO j = 1, knon
@@ -3352,5 +3352,5 @@
           ENDDO
         ENDDO
-      ENDIF  ! (iflag_split .eq.0)
+      ENDIF  ! (iflag_split .EQ.0)
       !!!
       DO k = 2, klev
@@ -3492,5 +3492,5 @@
       ENDIF
 
-      if (nsrf == is_oce .and. activate_ocean_skin >= 1) THEN
+      IF (nsrf == is_oce .AND. activate_ocean_skin >= 1) THEN
         delta_sal = missing_val
         ds_ns = missing_val
@@ -3515,5 +3515,5 @@
         sss(ni(:knon)) = ysss(:knon)
 
-        if (activate_ocean_skin == 2 .and. type_ocean == "couple") THEN
+        IF (activate_ocean_skin == 2 .AND. type_ocean == "couple") THEN
           dt_ds = missing_val
           dt_ds(ni(:knon)) = ydt_ds(:knon)
@@ -3549,5 +3549,5 @@
           qairsol(j) = yqsurf(j)
         ENDDO
-      ELSE  ! (iflag_split .eq.0)
+      ELSE  ! (iflag_split .EQ.0)
         DO j = 1, knon
           uzon_x(j) = yu_x(j, 1) + y_d_u_x(j, 1)
@@ -3573,5 +3573,5 @@
         ENDDO
         !!!
-      ENDIF  ! (iflag_split .eq.0)
+      ENDIF  ! (iflag_split .EQ.0)
       !!!
       DO j = 1, knon
@@ -3610,5 +3610,5 @@
                   yt2m, yq2m, yt10m, yq10m, yu10m, yustar, ypblh, rain_f, zxtsol)
         ENDIF
-      ELSE  !(iflag_split .eq.0)
+      ELSE  !(iflag_split .EQ.0)
         IF (iflag_new_t2mq2m==1) THEN
           CALL stdlevvarn(klon, knon, nsrf, zxli, &
@@ -3633,5 +3633,5 @@
         ENDIF
         !!!
-      ENDIF  ! (iflag_split .eq.0)
+      ENDIF  ! (iflag_split .EQ.0)
       !!!
       !!! jyg le 07/02/2012
@@ -3651,5 +3651,5 @@
 
         ENDDO
-      ELSE  !(iflag_split .eq.0)
+      ELSE  !(iflag_split .EQ.0)
         DO j = 1, knon
           i = ni(j)
@@ -3685,5 +3685,5 @@
         ENDDO
         !!!
-      ENDIF  ! (iflag_split .eq.0)
+      ENDIF  ! (iflag_split .EQ.0)
       !!!
 
@@ -3705,5 +3705,5 @@
             qsat2m(i) = qsat2m(i) + zx_qs1 * pctsrf(i, nsrf)
           ENDDO
-        ELSE  ! (iflag_split .eq.0)
+        ELSE  ! (iflag_split .EQ.0)
           DO j = 1, knon
             i = ni(j)
@@ -3729,5 +3729,5 @@
           ENDDO
           !!!
-        ENDIF  ! (iflag_split .eq.0)
+        ENDIF  ! (iflag_split .EQ.0)
         !!!
       ENDIF
@@ -3760,5 +3760,5 @@
           print *, ' Arg. de HBTM: yq ', yq(1:knon, :)
         ENDIF
-      ELSE  ! (iflag_split .eq.0)
+      ELSE  ! (iflag_split .EQ.0)
         CALL HBTM(knon, ypaprs, ypplay, &
                 yt2m_x, yt10m_x, yq2m_x, yq10m_x, yustar_x, ywstar_x, &
@@ -3785,5 +3785,5 @@
                 ytherm_w, ytrmb1_w, ytrmb2_w, ytrmb3_w, ylcl_w)
         !!!
-      ENDIF  ! (iflag_split .eq.0)
+      ENDIF  ! (iflag_split .EQ.0)
       !!!
 
@@ -3810,5 +3810,5 @@
           print *, 'After HBTM: cteiCL ', cteiCL(1:knon, :)
         ENDIF
-      ELSE  !(iflag_split .eq.0)
+      ELSE  !(iflag_split .EQ.0)
         DO j = 1, knon
           i = ni(j)
@@ -3850,5 +3850,5 @@
         ENDIF
         !!!
-      ENDIF  ! (iflag_split .eq.0)
+      ENDIF  ! (iflag_split .EQ.0)
       !!!
 
@@ -3968,5 +3968,5 @@
 
     ! if blowing snow
-    if (ok_bs) THEN
+    IF (ok_bs) THEN
       DO nsrf = 1, nbsrf
         DO k = 1, klev
@@ -4068,5 +4068,5 @@
         ENDDO
       ENDDO
-    ELSE  !(iflag_split .eq.0)
+    ELSE  !(iflag_split .EQ.0)
       DO nsrf = 1, nbsrf
         DO i = 1, klon
@@ -4114,5 +4114,5 @@
       ENDDO
       !!!
-    ENDIF  ! (iflag_split .eq.0)
+    ENDIF  ! (iflag_split .EQ.0)
     !!!
 
@@ -4271,7 +4271,7 @@
 
     USE indice_sol_mod
-    use phys_state_var_mod, ONLY: delta_sal, ds_ns, dt_ns, delta_sst, dter, &
+    USE phys_state_var_mod, ONLY: delta_sal, ds_ns, dt_ns, delta_sst, dter, &
             dser, dt_ds
-    use config_ocean_skin_m, ONLY: activate_ocean_skin
+    USE config_ocean_skin_m, ONLY: activate_ocean_skin
 
     INCLUDE "dimsoil.h"
@@ -4371,7 +4371,7 @@
                 alb_dif(i, k, nsrf) = 0.06
               ENDDO
-              if (activate_ocean_skin >= 1) THEN
-                if (activate_ocean_skin == 2 &
-                        .and. type_ocean == "couple") THEN
+              IF (activate_ocean_skin >= 1) THEN
+                IF (activate_ocean_skin == 2 &
+                        .AND. type_ocean == "couple") THEN
                   delta_sal(i) = 0.
                   delta_sst(i) = 0.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/perturb_radlwsw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/perturb_radlwsw.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/perturb_radlwsw.F90	(revision 5117)
@@ -3,5 +3,5 @@
 !Case-specific radiative setup
 
-      use dimphy
+      USE dimphy
       IMPLICIT none
       INCLUDE "flux_arp.h"     
